# Uses of Interface
org.eclipse.equinox.p2.metadata.ITouchpointData

Packages that use ITouchpointData
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.

## Uses of ITouchpointData in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return ITouchpointData
Modifier and Type
Method
Description
`static ITouchpointData`
MetadataFactory.`createTouchpointData(Map<String,? extends Object> instructions)`
Returns an instance of `ITouchpointData` with the given instructions.
`static ITouchpointData`
MetadataFactory.`mergeTouchpointData(ITouchpointData initial, Map<String,ITouchpointInstruction> incomingInstructions)`
Merge the given touchpoint instructions with a pre-existing touchpoint data
Methods in org.eclipse.equinox.p2.metadata that return types with arguments of type ITouchpointData
Modifier and Type
Method
Description
`Collection<ITouchpointData>`
IInstallableUnit.`getTouchpointData()`
`Collection<ITouchpointData>`
MetadataFactory.InstallableUnitDescription.`getTouchpointData()`
Returns the current touchpoint data on this installable unit description.
Methods in org.eclipse.equinox.p2.metadata with parameters of type ITouchpointData
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`addTouchpointData(ITouchpointData data)`
`static ITouchpointData`
MetadataFactory.`mergeTouchpointData(ITouchpointData initial, Map<String,ITouchpointInstruction> incomingInstructions)`
Merge the given touchpoint instructions with a pre-existing touchpoint data